Print ''               
Print '-------------------------------------------------------------------------'
Print ' using Database: #DB_N#'
Print ' Table         : [tblChartTypes]'
Print ' Creation Date : 13.11.2012'
Print ' Autor         : S.Güth'
Print '-------------------------------------------------------------------------'

use [#DB_N#]

Declare @MyActionMsg1 nvarchar (max)
Declare @MyTableName nvarchar (max)
set @MyTableName='tblChartTypes'
DECLARE @ExecuteSQLstr nvarchar(max)

declare @indexNrCur  int
declare @indexNrEnd  int
declare @indexNrStr       varchar(32)
declare @IndexName        varchar(max)
declare @ProcStateColName varchar(max)
set @indexNrEnd = 10


--------------------------------------------------------------------------------
-- verzweigen auf TableCreate: oder TableUpdate:
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblChartTypes]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
  BEGIN
   goto TableUpdate
  END
ELSE
  BEGIN
   goto TableCreate
  END

--------------------------------------------------------------------------------
TableCreate:
  set @MyActionMsg1=
      '-- Table: [tblChartTypes] dose not exist and will be created new'

  Print (@MyActionMsg1)



  CREATE TABLE [dbo].[tblChartTypes] (
         
         [ChartTypeID]                   int NOT NULL,
         [ChartType]                     nvarchar(50) NULL,
         CONSTRAINT tblChartTypes_PK PRIMARY KEY ([ChartTypeID])
          
  )
  ON [PRIMARY]
  
  INSERT INTO dbo.tblChartTypes (ChartTypeID, ChartType) VALUES (1, 'BarChart')
  INSERT INTO dbo.tblChartTypes (ChartTypeID, ChartType) VALUES (2, 'AreaChart')
  INSERT INTO dbo.tblChartTypes (ChartTypeID, ChartType) VALUES (3, 'LineChart')
  INSERT INTO dbo.tblChartTypes (ChartTypeID, ChartType) VALUES (21, 'SplineChart')
  INSERT INTO dbo.tblChartTypes (ChartTypeID, ChartType) VALUES (22, 'SplineAreaChart')


  goto CheckCreateIndex

--------------------------------------------------------------------------------
TableUpdate:

  set @MyActionMsg1=
       '-- Table: [' + @MyTableName + '] exist and will be updated'
  Print (@MyActionMsg1)

  Declare @ColumeName nvarchar (256)
  Declare @ColumeNameOld nvarchar (256)
  Declare @ColumeNameNew nvarchar (256)
  Declare @ExecuteStr nvarchar (max)


 --- set @ColumeName='ObjectPuid'
 --- if (Select Coalesce(Col_length(@MyTableName,@ColumeName),0)) = 0
 ---   begin
 ---     print ('Create Column:' + @ColumeName +  ' .. PUID of Object (new 2.1.2009 J.Fes)')
 ---     set @ExecuteStr='ALTER TABLE [dbo].[' + @MyTableName + '] ADD [' + @ColumeName +'] nvarchar(15) COLLATE Latin1_General_CS_AS NULL'
 ---     execute (@ExecuteStr)
 ---   end




goto CheckCreateIndex

--------------------------------------------------------------------------------
CheckCreateIndex:

  EXECUTE JF_PrimKeyCheckCreateDef 'tblChartTypes_pk',           @MyTableName, 'ChartTypeID'

--------------------------------------------------------------------------------
EndeExit:
 Print ('   |-> Done on Database: #DB_N#')
 Print '------------------------------------------------------------------------'

GO
